Details

    • Type: New Feature New Feature
    • Status: Open
    • Priority: Blocker Blocker
    • Resolution: Unresolved
    • Labels:
      None

      Description

      The Eclipse WTP project is currently building the basis of the Java EE 6 support
      in the WTP 3.1 release. The project facets for Java EE 6 are already defined and
      are available in the I-3.1-20090115155552 build:
      http://download.eclipse.org/webtools/downloads/drops/R3.1/I-3.1-20090115155552/

      This opens the door for server adapters to declare support for these facets. It
      would be very helpful for the WTP community if the OpenEJB community makes
      available a server adapter that supports the EJB 3.1 facet.

        Activity

        Hide
        Jonathan Gallimore added a comment -

        D:\Jonno\Sync\OpenEJB\src\sandbox\openejb-eclipse-plugin>svn ci plugins\org.apache.openejb.server\plugin.xml
        Sending plugins\org.apache.openejb.server\plugin.xml
        Transmitting file data .
        Committed revision 735848.

        Show
        Jonathan Gallimore added a comment - D:\Jonno\Sync\OpenEJB\src\sandbox\openejb-eclipse-plugin>svn ci plugins\org.apache.openejb.server\plugin.xml Sending plugins\org.apache.openejb.server\plugin.xml Transmitting file data . Committed revision 735848.
        Hide
        Kaloyan Raev added a comment -

        Jon, thank you for the quick reaction.

        The "The selection did not contain any resources that can be run on a server" is actually a bug in WTP. See https://bugs.eclipse.org/261773. The fix will be available with the next I-build, which will be released on Monday at latest. Thanks for notifying!

        It is possible that there will be more issues. If you observe any, please submit a bug here: https://bugs.eclipse.org/bugs/enter_bug.cgi?product=WTP%20EJB%20Tools

        Is it possible to make available this latest version of the OpenEJB server adapter on the update site? Please, remind me about the update site's address as well.

        Greetings,
        Kaloyan

        Show
        Kaloyan Raev added a comment - Jon, thank you for the quick reaction. The "The selection did not contain any resources that can be run on a server" is actually a bug in WTP. See https://bugs.eclipse.org/261773 . The fix will be available with the next I-build, which will be released on Monday at latest. Thanks for notifying! It is possible that there will be more issues. If you observe any, please submit a bug here: https://bugs.eclipse.org/bugs/enter_bug.cgi?product=WTP%20EJB%20Tools Is it possible to make available this latest version of the OpenEJB server adapter on the update site? Please, remind me about the update site's address as well. Greetings, Kaloyan
        Hide
        Jonathan Gallimore added a comment -

        > Jon, thank you for the quick reaction.
        > The "The selection did not contain any resources that can be run on a server" is actually a bug in WTP. See https://bugs.eclipse.org/261773. The fix will be available with the next I-build, which will be released on Monday at latest. Thanks for notifying!
        >

        Thanks for that - I'll look out for the new version early next week.

        > It is possible that there will be more issues. If you observe any, please submit a bug here: https://bugs.eclipse.org/bugs/enter_bug.cgi?product=WTP%20EJB%20Tools
        >

        Will do!

        > Is it possible to make available this latest version of the OpenEJB server adapter on the update site? Please, remind me about the update site's address as well.
        >
        >

        Its there. The url is http://people.apache.org/~jgallimore/update-site

        Show
        Jonathan Gallimore added a comment - > Jon, thank you for the quick reaction. > The "The selection did not contain any resources that can be run on a server" is actually a bug in WTP. See https://bugs.eclipse.org/261773 . The fix will be available with the next I-build, which will be released on Monday at latest. Thanks for notifying! > Thanks for that - I'll look out for the new version early next week. > It is possible that there will be more issues. If you observe any, please submit a bug here: https://bugs.eclipse.org/bugs/enter_bug.cgi?product=WTP%20EJB%20Tools > Will do! > Is it possible to make available this latest version of the OpenEJB server adapter on the update site? Please, remind me about the update site's address as well. > > Its there. The url is http://people.apache.org/~jgallimore/update-site
        Hide
        Kaloyan Raev added a comment -

        Jonathan, let me inform you that the Java EE 6 support has been deferred from the WTP 3.1 plan. The latest milestone WTP 3.1 M5 was released without the new versions of the facets.
        The reason for this move is that the schedule for releasing the final versions of the Java EE 6 specification are still unclear. Especially, the XML schemas for the deployment descriptors are not finished yet. They are a critical input for generating the programming model and we at WTP could not take the risk to postpone this new feature development for the very end of the Galileo time frame.

        Once the release schedule for the Java EE 6 spec become clear, the WTP project will consider scheduling an extra feature release for Java EE 6 support. Until then I recommend reverting the support of the new facet versions in the OpenEJB server adapter.

        I am sorry for the inconvenience!

        Show
        Kaloyan Raev added a comment - Jonathan, let me inform you that the Java EE 6 support has been deferred from the WTP 3.1 plan. The latest milestone WTP 3.1 M5 was released without the new versions of the facets. The reason for this move is that the schedule for releasing the final versions of the Java EE 6 specification are still unclear. Especially, the XML schemas for the deployment descriptors are not finished yet. They are a critical input for generating the programming model and we at WTP could not take the risk to postpone this new feature development for the very end of the Galileo time frame. Once the release schedule for the Java EE 6 spec become clear, the WTP project will consider scheduling an extra feature release for Java EE 6 support. Until then I recommend reverting the support of the new facet versions in the OpenEJB server adapter. I am sorry for the inconvenience!

          People

          • Assignee:
            Jonathan Gallimore
            Reporter:
            Kaloyan Raev
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:

              Development